### Method

# Ggit IndexEntryResolveUndo get_id

#### Declaration [src]

    GgitOId*
    ggit_index_entry_resolve_undo_get_id (
      GgitIndexEntryResolveUndo* entry,
      gint stage
    )

#### Description [src]

Get the oid of the index entry.

#### Parameters

`stage`

  Type: `gint`

  The stage (0, 1 or 2).

#### Return value

Type: `GgitOId`

The oid or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.